=== debian/changelog ===
gnome-shell-extension-runcat (18-2) unstable; urgency=medium

  * Team upload
  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 14:33:56 -0400

gnome-shell-extension-runcat (18-1) unstable; urgency=medium

  * Initial release (closes: #1015269)

 -- Shannon Brady <duckydreams@gmail.com>  Mon, 18 Jul 2022 17:57:51 +0100
