=== debian/control ===
Source: gnome-shell-extension-runcat
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Shannon Brady <duckydreams@gmail.com>
Build-Depends: debhelper-compat (= 13),
               libglib2.0-bin,
Standards-Version: 4.6.1
Homepage: https://github.com/win0err/gnome-runcat
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-runcat.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-runcat
Rules-Requires-Root: no

Package: gnome-shell-extension-runcat
Architecture: all
Depends: ${misc:Depends},
         gnome-shell (>= 3.38),
         gnome-shell (<< 43~),
Description: desktop icon for showing CPU usage with cats
 RunCat provides a key-frame animation to the GNOME Shell top bar.
 Animation speed changes depending on CPU usage.
