=== debian/watch ===
version=4
https://github.com/win0err/gnome-runcat/releases .*?(\d\S*)\.tar\.gz
