=== debian/changelog ===
gnome-shell-extension-runcat (21-1) unstable; urgency=medium

  * New upstream release
  * Fixes Broken debian/watch file.

 -- Shannon Brady <duckydreams@gmail.com>  Tue, 15 Nov 2022 12:54:13 -0500

gnome-shell-extension-runcat (19-1) unstable; urgency=medium

  * New upstream release
  * Adds support for GNOME 43

 -- Shannon Brady <duckydreams@gmail.com>  Thu, 25 Aug 2022 14:41:25 +0100
