=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          gnome-shell (>= 3.38),
-         gnome-shell (<< 43~),
+         gnome-shell (<< 44~),
 Description: desktop icon for showing CPU usage with cats
  RunCat provides a key-frame animation to the GNOME Shell top bar.
  Animation speed changes depending on CPU usage.
