=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	glib-compile-schemas --strict --targetdir=src/schemas src/schemas

override_dh_auto_install:
