=== debian/watch ===

version=4
opts="\
dversionmangle=s/\+dfsg.*$//,\
filenamemangle=s/.+\/[vV]?(\d\S+)\.tar\.gz/runcat-$1\.tar\.gz/,\
repack,repacksuffix=+dfsg,\
" \
https://github.com/win0err/gnome-runcat/tags .*/[vV]?(\d[^\s+]+)\.tar\.gz
