## gnome-shell-extension-runcat 23

=== debian/changelog ===
gnome-shell-extension-runcat (23-1) unstable; urgency=medium

  * New upstream release
  * Update supported gnome-shell versions in debian/control
  * Update debain/watch

 -- Shannon Brady <duckydreams@gmail.com>  Wed, 28 Jun 2023 14:34:36 +0200
