=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Package: gnome-shell-extension-runcat
 Architecture: all
 Depends: ${misc:Depends},
-         gnome-shell (>= 3.38),
-         gnome-shell (<< 44~),
+         gnome-shell (>= 42),
+         gnome-shell (<< 45~),
 Description: desktop icon for showing CPU usage with cats
  RunCat provides a key-frame animation to the GNOME Shell top bar.
  Animation speed changes depending on CPU usage.
