## gnome-shell-extension-runcat 27

=== debian/changelog ===
gnome-shell-extension-runcat (27-3) unstable; urgency=medium

  * Team upload
  * Add patch to mark compatible with GNOME Shell 47 (Closes: #1079255)
  * Bump maximum GNOME Shell to 47
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 12 Sep 2024 19:15:04 -0400

gnome-shell-extension-runcat (27-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 19:46:32 -0400

gnome-shell-extension-runcat (27-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump maximum GNOME Shell to 46 to match metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 10:55:03 -0400

gnome-shell-extension-runcat (26-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump minimum GNOME Shell to 45 to match metadata.json (Closes: #1052106)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Oct 2023 14:48:51 -0400
