=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Shannon Brady <duckydreams@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-bin,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/win0err/gnome-runcat
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-runcat.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-runcat
@@ -14,8 +14,8 @@
 Package: gnome-shell-extension-runcat
 Architecture: all
 Depends: ${misc:Depends},
-         gnome-shell (>= 42),
-         gnome-shell (<< 45~),
+         gnome-shell (>= 45),
+         gnome-shell (<< 48~),
 Description: desktop icon for showing CPU usage with cats
  RunCat provides a key-frame animation to the GNOME Shell top bar.
  Animation speed changes depending on CPU usage.
