## gnome-shell-extension-runcat 28

=== debian/changelog ===
gnome-shell-extension-runcat (28-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove GNOME Shell 47 patch: applied in new release
  * Add patch to mark compatible with GNOME Shell 48 (Closes: #1096053)
  * Bump maximum GNOME Shell to 48

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Feb 2025 16:08:40 -0500
