=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          gnome-shell (>= 45),
-         gnome-shell (<< 48~),
+         gnome-shell (<< 49~),
 Description: desktop icon for showing CPU usage with cats
  RunCat provides a key-frame animation to the GNOME Shell top bar.
  Animation speed changes depending on CPU usage.
