## gnome-shell-extension-runcat 29

=== debian/changelog ===
gnome-shell-extension-runcat (29-1) unstable; urgency=medium

  * New upstream release
  * Remove GNOME 48 patch: applied in new release
  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Apr 2025 08:59:47 -0400
