=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Shannon Brady <duckydreams@gmail.com>
 Build-Depends: debhelper-compat (= 13),
-               libglib2.0-bin,
+Build-Depends-Indep: libglib2.0-bin,
+                     python3
 Standards-Version: 4.7.0
 Homepage: https://github.com/win0err/gnome-runcat
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-runcat.git
@@ -13,9 +14,9 @@
 
 Package: gnome-shell-extension-runcat
 Architecture: all
-Depends: ${misc:Depends},
-         gnome-shell (>= 45),
-         gnome-shell (<< 49~),
+Depends: gnome-shell (<< ${gnome:MaximumVersion}~),
+         gnome-shell (>= ${gnome:MinimumVersion}~),
+         ${misc:Depends},
 Description: desktop icon for showing CPU usage with cats
  RunCat provides a key-frame animation to the GNOME Shell top bar.
  Animation speed changes depending on CPU usage.
