=== debian/changelog ===
gnome-shell-extension-runcat (30-1) unstable; urgency=medium

  * New upstream release
  * Convert debian/watch to Version: 5
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Sep 2025 15:05:26 -0400
