## gnome-shell-extension-runcat 30%2Breally29

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,8 @@
 	glib-compile-schemas --strict --targetdir=src/schemas src/schemas
 
 override_dh_auto_install:
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('src/metadata.json', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('src/metadata.json', 'rt'))['shell-version']))")
