=== debian/changelog ===
gnome-shell-extension-runcat (30+really29-1) unstable; urgency=medium

  * Team upload
  * Revert upstream source to 29. v30 switches to TypeScript
    and we aren't yet ready for GNOME TypeScript. See #1100886.
  * Cherry-pick patch to mark compatible with GNOME Shell 49

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 10 Oct 2025 17:12:44 -0400
