=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Build-Depends: debhelper-compat (= 13),
 Build-Depends-Indep: libglib2.0-bin,
                      python3
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/win0err/gnome-runcat
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-runcat.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-runcat
-Rules-Requires-Root: no
 
 Package: gnome-shell-extension-runcat
 Architecture: all
